Bug 220980 - NetworkManager fails on initial boot with ipw3945
NetworkManager fails on initial boot with ipw3945
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-29 17:04 EST by Carl Roth
Modified: 2008-05-06 13:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:15:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl Roth 2006-12-29 17:04:24 EST
Description of problem:

NetworkManager is not able to initiate a wifi connection (ipw3945d) to a
WEP-protected access point on initial boot.  A supplemental restart of ipw3945d
and NetworkManager is required.

Version-Release number of selected component (if applicable):

ipw3945-firmware-1.13-1
dkms-ipw3945-1.1.3-2
ipw3945d-1.7.22-3
NetworkManager-0.6.4-5.fc6
knetworkmanager-0.1-0.5.svn20061113.fc6

How reproducible:

Always

Steps to Reproduce:
1. Enable services on boot: ipw3945d, NetworkManger
2. Disable wifi interface on boot (ONBOOT=no in ifcfg-XXX)
3. Disable kudzu so that it doesn't regenerate ifcfg-XXX files
4. Boot system
5. Log in using KDE
6. Start knetworkmanager (possibly automatically as per a saved session)

To work around the problem, alter the steps as follows:

5. Log in using KDE, without running knetworkmanager during session startup
6. Open a root shell, and type 'service ipw3945d restart'
7. Start knetworkmanager

Actual results:

WiFi authentication times out, and knetworkmanager prompts for a new WEP key.

Expected results:

WiFI should authenticate automatically.

Additional info:

The system is a Thinkpad T60 with Intel ipw3945d wireless.  Wired LAN is not
connected.

My own dumb analysis of the problem would be that somehow ipw3945d is "stuck",
and NetworkManager is not able to get it to associate with the access point. 
Using NetworkManager and knetworkmanager, this behavior is easily reproducible.

My previous network setup used vanilla RedHat startup scripts (ifcfg-XXX) plus
some wpa_supplicant tricks as per BUG154348.  This worked consistently; the
initial bringup would fail, leaving dhclient running in the background, and
wpa_supplicant would retry as long as necessary.  On the other hand I can
definitely say that this  method started up quicker than the 40s or so timeout
that NetworkManager/knetworkmanager enforces, though.
Comment 1 Carl Roth 2006-12-30 14:41:18 EST
I suspect this behavior is being triggered by

  http://bugzilla.gnome.org/show_bug.cgi?id=391067

What's happening on my system is that

1. NetworkManager starts at boot-time and tries to associate with my wireless NIC
2. The wpa_supplicant.conf file is invalid, so the boot-time interface bringup
never works.
3. NetworkManager leaves wpa_supplicant running.
4. When I log in to KDE, knetworkmanager starts a *second* instance of
wpa_supplicant.
5. The userland AP configuration is correct, but it's fighting with the first
instance of wpa_supplicant, and loses.

My observation about having to restart NetworkManager and/or ipw3945d was
clearing up the problem by forcing the boot-time NetworkManager instance to shut
down its *first* wpa_supplicant instance, thereby allowing the userland instance
to associate properly.
Comment 2 Aurelien Bompard 2007-02-03 15:51:55 EST
I confirm this bug, same problem and same workaround. FYI, setting up the wifi
connection with iwconfig/ifconfig works fine.
Comment 3 Andy Grimm 2007-02-08 14:10:21 EST
This behavior appears to be similar in F7 test 1.
Comment 4 Bug Zapper 2008-04-04 01:23:59 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 13:15:37 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.